summaryrefslogtreecommitdiff
path: root/gettext-tools/tests/xgettext-glade-1
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-glade-1')
-rwxr-xr-xgettext-tools/tests/xgettext-glade-11564
1 files changed, 1564 insertions, 0 deletions
diff --git a/gettext-tools/tests/xgettext-glade-1 b/gettext-tools/tests/xgettext-glade-1
new file mode 100755
index 0000000..3fd95f3
--- /dev/null
+++ b/gettext-tools/tests/xgettext-glade-1
@@ -0,0 +1,1564 @@
+#!/bin/sh
+. "${srcdir=.}/init.sh"; path_prepend_ . ../src
+
+# Test of Glade support.
+
+cat <<EOF > xg-gl-1-empty.glade
+<?xml version="1.0"?>
+<GTK-Interface/>
+EOF
+
+: ${XGETTEXT=xgettext}
+${XGETTEXT} -o xg-gl-1.pot xg-gl-1-empty.glade 2>/dev/null
+test $? = 0 || {
+ echo "Skipping test: xgettext was built without Glade support"
+ exit 77
+}
+
+cat <<EOF > xg-gl-1-widgets.glade
+<?xml version="1.0"?>
+<GTK-Interface>
+
+<project>
+ <name>project1</name>
+ <directory></directory>
+ <source_directory>src</source_directory>
+ <pixmaps_directory></pixmaps_directory>
+ <language>C</language>
+ <gnome_support>True</gnome_support>
+ <gettext_support>True</gettext_support>
+ <use_widget_names>False</use_widget_names>
+ <output_main_file>True</output_main_file>
+ <output_support_files>True</output_support_files>
+ <output_build_files>True</output_build_files>
+ <backup_source_files>True</backup_source_files>
+ <main_source_file>interface.c</main_source_file>
+ <main_header_file>interface.h</main_header_file>
+ <handler_source_file>callbacks.c</handler_source_file>
+ <handler_header_file>callbacks.h</handler_header_file>
+ <support_source_file>support.c</support_source_file>
+ <support_header_file>support.h</support_header_file>
+</project>
+
+<widget>
+ <class>GnomeApp</class>
+ <name>appwin</name>
+ <signal>
+ <name>destroy</name>
+ <handler>gtk_main_quit</handler>
+ <last_modification_time>Thu, 17 Jun 1999 15:06:07 GMT</last_modification_time>
+ </signal>
+ <title>Libglade-GNOME Test</title>
+ <type>GTK_WINDOW_TOPLEVEL</type>
+ <position>GTK_WIN_POS_NONE</position>
+ <modal>False</modal>
+ <allow_shrink>False</allow_shrink>
+ <allow_grow>True</allow_grow>
+ <auto_shrink>False</auto_shrink>
+ <enable_layout_config>True</enable_layout_config>
+
+ <widget>
+ <class>GnomeDock</class>
+ <child_name>GnomeApp:dock</child_name>
+ <name>dock1</name>
+ <allow_floating>True</allow_floating>
+ <child>
+ <padding>0</padding>
+ <expand>True</expand>
+ <fill>True</fill>
+ </child>
+
+ <widget>
+ <class>GnomeDockItem</class>
+ <name>dockitem1</name>
+ <border_width>2</border_width>
+ <placement>GNOME_DOCK_TOP</placement>
+ <band>0</band>
+ <position>0</position>
+ <offset>0</offset>
+ <locked>False</locked>
+ <exclusive>False</exclusive>
+ <never_floating>False</never_floating>
+ <never_vertical>True</never_vertical>
+ <never_horizontal>False</never_horizontal>
+ <shadow_type>GTK_SHADOW_OUT</shadow_type>
+
+ <widget>
+ <class>GtkMenuBar</class>
+ <name>menubar1</name>
+ <shadow_type>GTK_SHADOW_NONE</shadow_type>
+
+ <widget>
+ <class>GtkMenuItem</class>
+ <name>file1</name>
+ <stock_item>GNOMEUIINFO_MENU_FILE_TREE</stock_item>
+
+ <widget>
+ <class>GtkMenu</class>
+ <name>file1_menu</name>
+
+ <widget>
+ <class>GtkPixmapMenuItem</class>
+ <name>open2</name>
+ <signal>
+ <name>activate</name>
+ <handler>gtk_widget_show</handler>
+ <object>filesel</object>
+ <last_modification_time>Thu, 17 Jun 1999 15:03:18 GMT</last_modification_time>
+ </signal>
+ <stock_item>GNOMEUIINFO_MENU_OPEN_ITEM</stock_item>
+ </widget>
+
+ <widget>
+ <class>GtkMenuItem</class>
+ <name>show_tests1</name>
+ <signal>
+ <name>activate</name>
+ <handler>gtk_widget_show</handler>
+ <object>testwin</object>
+ <last_modification_time>Thu, 17 Jun 1999 14:52:01 GMT</last_modification_time>
+ </signal>
+ <label>Show _Tests</label>
+ <right_justify>False</right_justify>
+ </widget>
+
+ <widget>
+ <class>GtkMenuItem</class>
+ <name>druid_test1</name>
+ <signal>
+ <name>activate</name>
+ <handler>gtk_widget_show</handler>
+ <object>druidwin</object>
+ <last_modification_time>Thu, 28 Oct 1999 15:53:37 GMT</last_modification_time>
+ </signal>
+ <label>Druid Test</label>
+ <right_justify>False</right_justify>
+ </widget>
+
+ <widget>
+ <class>GtkMenuItem</class>
+ <name>separator2</name>
+ <right_justify>False</right_justify>
+ </widget>
+
+ <widget>
+ <class>GtkPixmapMenuItem</class>
+ <name>exit1</name>
+ <signal>
+ <name>activate</name>
+ <handler>gtk_widget_show</handler>
+ <object>closebox</object>
+ <last_modification_time>Thu, 17 Jun 1999 07:44:23 GMT</last_modification_time>
+ </signal>
+ <stock_item>GNOMEUIINFO_MENU_EXIT_ITEM</stock_item>
+ </widget>
+ </widget>
+ </widget>
+
+ <widget>
+ <class>GtkMenuItem</class>
+ <name>edit1</name>
+ <stock_item>GNOMEUIINFO_MENU_EDIT_TREE</stock_item>
+
+ <widget>
+ <class>GtkMenu</class>
+ <name>edit1_menu</name>
+
+ <widget>
+ <class>GtkPixmapMenuItem</class>
+ <name>undo1</name>
+ <stock_item>GNOMEUIINFO_MENU_UNDO_ITEM</stock_item>
+ </widget>
+
+ <widget>
+ <class>GtkPixmapMenuItem</class>
+ <name>redo1</name>
+ <stock_item>GNOMEUIINFO_MENU_REDO_ITEM</stock_item>
+ </widget>
+
+ <widget>
+ <class>GtkMenuItem</class>
+ <name>separator3</name>
+ <right_justify>False</right_justify>
+ </widget>
+
+ <widget>
+ <class>GtkPixmapMenuItem</class>
+ <name>cut1</name>
+ <signal>
+ <name>activate</name>
+ <handler>gtk_editable_cut_clipboard</handler>
+ <object>textbox</object>
+ <last_modification_time>Thu, 17 Jun 1999 07:34:00 GMT</last_modification_time>
+ </signal>
+ <stock_item>GNOMEUIINFO_MENU_CUT_ITEM</stock_item>
+ </widget>
+
+ <widget>
+ <class>GtkPixmapMenuItem</class>
+ <name>copy1</name>
+ <signal>
+ <name>activate</name>
+ <handler>gtk_editable_copy_clipboard</handler>
+ <object>textbox</object>
+ <last_modification_time>Thu, 17 Jun 1999 07:34:21 GMT</last_modification_time>
+ </signal>
+ <stock_item>GNOMEUIINFO_MENU_COPY_ITEM</stock_item>
+ </widget>
+
+ <widget>
+ <class>GtkPixmapMenuItem</class>
+ <name>paste1</name>
+ <signal>
+ <name>activate</name>
+ <handler>gtk_editable_paste_clipboard</handler>
+ <object>textbox</object>
+ <last_modification_time>Thu, 17 Jun 1999 07:34:47 GMT</last_modification_time>
+ </signal>
+ <stock_item>GNOMEUIINFO_MENU_PASTE_ITEM</stock_item>
+ </widget>
+
+ <widget>
+ <class>GtkPixmapMenuItem</class>
+ <name>clear1</name>
+ <signal>
+ <name>activate</name>
+ <handler>gtk_editable_delete_selection</handler>
+ <object>textbox</object>
+ <last_modification_time>Thu, 17 Jun 1999 07:35:04 GMT</last_modification_time>
+ </signal>
+ <stock_item>GNOMEUIINFO_MENU_CLEAR_ITEM</stock_item>
+ </widget>
+ </widget>
+ </widget>
+
+ <widget>
+ <class>GtkMenuItem</class>
+ <name>settings1</name>
+ <stock_item>GNOMEUIINFO_MENU_SETTINGS_TREE</stock_item>
+
+ <widget>
+ <class>GtkMenu</class>
+ <name>settings1_menu</name>
+
+ <widget>
+ <class>GtkPixmapMenuItem</class>
+ <name>preferences1</name>
+ <signal>
+ <name>activate</name>
+ <handler>gtk_widget_show</handler>
+ <object>propbox</object>
+ <last_modification_time>Tue, 28 Sep 1999 04:29:36 GMT</last_modification_time>
+ </signal>
+ <stock_item>GNOMEUIINFO_MENU_PREFERENCES_ITEM</stock_item>
+ </widget>
+ </widget>
+ </widget>
+
+ <widget>
+ <class>GtkMenuItem</class>
+ <name>help1</name>
+ <stock_item>GNOMEUIINFO_MENU_HELP_TREE</stock_item>
+
+ <widget>
+ <class>GtkMenu</class>
+ <name>help1_menu</name>
+
+ <widget>
+ <class>GtkPixmapMenuItem</class>
+ <name>about1</name>
+ <signal>
+ <name>activate</name>
+ <handler>gtk_widget_show</handler>
+ <object>aboutwin</object>
+ <last_modification_time>Thu, 17 Jun 1999 07:38:13 GMT</last_modification_time>
+ </signal>
+ <stock_item>GNOMEUIINFO_MENU_ABOUT_ITEM</stock_item>
+ </widget>
+ </widget>
+ </widget>
+ </widget>
+ </widget>
+
+ <widget>
+ <class>GnomeDockItem</class>
+ <name>dockitem2</name>
+ <border_width>1</border_width>
+ <placement>GNOME_DOCK_TOP</placement>
+ <band>1</band>
+ <position>0</position>
+ <offset>0</offset>
+ <locked>False</locked>
+ <exclusive>False</exclusive>
+ <never_floating>False</never_floating>
+ <never_vertical>False</never_vertical>
+ <never_horizontal>False</never_horizontal>
+ <shadow_type>GTK_SHADOW_OUT</shadow_type>
+
+ <widget>
+ <class>GtkToolbar</class>
+ <name>toolbar1</name>
+ <border_width>1</border_width>
+ <orientation>GTK_ORIENTATION_HORIZONTAL</orientation>
+ <type>GTK_TOOLBAR_BOTH</type>
+ <space_size>16</space_size>
+ <space_style>GTK_TOOLBAR_SPACE_LINE</space_style>
+ <relief>GTK_RELIEF_NONE</relief>
+ <tooltips>True</tooltips>
+
+ <widget>
+ <class>GtkButton</class>
+ <child_name>Toolbar:button</child_name>
+ <name>button1</name>
+ <label>New</label>
+ <stock_pixmap>GNOME_STOCK_PIXMAP_NEW</stock_pixmap>
+ </widget>
+
+ <widget>
+ <class>GtkButton</class>
+ <child_name>Toolbar:button</child_name>
+ <name>button2</name>
+ <label>Open</label>
+ <stock_pixmap>GNOME_STOCK_PIXMAP_OPEN</stock_pixmap>
+ </widget>
+
+ <widget>
+ <class>GtkButton</class>
+ <child_name>Toolbar:button</child_name>
+ <name>button3</name>
+ <label>Save</label>
+ <stock_pixmap>GNOME_STOCK_PIXMAP_SAVE</stock_pixmap>
+ </widget>
+
+ <widget>
+ <class>GtkButton</class>
+ <child_name>Toolbar:button</child_name>
+ <name>button4</name>
+ <signal>
+ <name>clicked</name>
+ <handler>gtk_editable_cut_clipboard</handler>
+ <object>textbox</object>
+ <last_modification_time>Thu, 17 Jun 1999 07:31:19 GMT</last_modification_time>
+ </signal>
+ <label>Cut</label>
+ <stock_pixmap>GNOME_STOCK_PIXMAP_CUT</stock_pixmap>
+ <child>
+ <new_group>True</new_group>
+ </child>
+ </widget>
+
+ <widget>
+ <class>GtkButton</class>
+ <child_name>Toolbar:button</child_name>
+ <name>button5</name>
+ <signal>
+ <name>clicked</name>
+ <handler>gtk_editable_copy_clipboard</handler>
+ <object>textbox</object>
+ <last_modification_time>Thu, 17 Jun 1999 07:32:16 GMT</last_modification_time>
+ </signal>
+ <label>Copy</label>
+ <stock_pixmap>GNOME_STOCK_PIXMAP_COPY</stock_pixmap>
+ </widget>
+
+ <widget>
+ <class>GtkButton</class>
+ <child_name>Toolbar:button</child_name>
+ <name>button6</name>
+ <signal>
+ <name>clicked</name>
+ <handler>gtk_editable_paste_clipboard</handler>
+ <object>textbox</object>
+ <last_modification_time>Thu, 17 Jun 1999 07:33:13 GMT</last_modification_time>
+ </signal>
+ <label>Paste</label>
+ <stock_pixmap>GNOME_STOCK_PIXMAP_PASTE</stock_pixmap>
+ </widget>
+
+ <widget>
+ <class>GtkButton</class>
+ <child_name>Toolbar:button</child_name>
+ <name>button7</name>
+ <signal>
+ <name>clicked</name>
+ <handler>gtk_editable_delete_selection</handler>
+ <object>textbox</object>
+ <last_modification_time>Thu, 17 Jun 1999 07:33:30 GMT</last_modification_time>
+ </signal>
+ <label>Clear</label>
+ <stock_pixmap>GNOME_STOCK_PIXMAP_CLEAR</stock_pixmap>
+ </widget>
+
+ <widget>
+ <class>GtkToggleButton</class>
+ <child_name>Toolbar:button</child_name>
+ <name>togglebutton1</name>
+ <label>Tog</label>
+ <stock_pixmap>GNOME_STOCK_PIXMAP_ATTACH</stock_pixmap>
+ <active>False</active>
+ <child>
+ <new_group>True</new_group>
+ </child>
+ </widget>
+ </widget>
+ </widget>
+
+ <widget>
+ <class>GtkText</class>
+ <child_name>GnomeDock:contents</child_name>
+ <name>textbox</name>
+ <can_focus>True</can_focus>
+ <has_focus>True</has_focus>
+ <editable>True</editable>
+ <text>The cut copy paste and clear buttons should work correctly.</text>
+ </widget>
+ </widget>
+
+ <widget>
+ <class>GnomeAppBar</class>
+ <child_name>GnomeApp:appbar</child_name>
+ <name>appbar1</name>
+ <has_progress>False</has_progress>
+ <has_status>True</has_status>
+ <child>
+ <padding>0</padding>
+ <expand>True</expand>
+ <fill>True</fill>
+ </child>
+ </widget>
+</widget>
+
+<widget>
+ <class>GnomeAbout</class>
+ <name>aboutwin</name>
+ <visible>False</visible>
+ <signal>
+ <name>clicked</name>
+ <handler>gtk_widget_hide</handler>
+ <last_modification_time>Thu, 17 Jun 1999 07:37:41 GMT</last_modification_time>
+ </signal>
+ <modal>True</modal>
+ <copyright>Copyright (C) 1999</copyright>
+ <authors>James Henstridge &lt;james@daa.com.au&gt;
+</authors>
+ <comments>A simple program demonstrating what is possible with GNOME and
+libglade. This interface has been coded entirely with GLADE, and
+no C code specific to this interface has been written.</comments>
+</widget>
+
+<widget>
+ <class>GnomeMessageBox</class>
+ <name>closebox</name>
+ <visible>False</visible>
+ <message_box_type>GNOME_MESSAGE_BOX_QUESTION</message_box_type>
+ <message>Are you sure you want to quit
+the application?</message>
+ <type>GTK_WINDOW_TOPLEVEL</type>
+ <position>GTK_WIN_POS_NONE</position>
+ <modal>False</modal>
+ <allow_shrink>False</allow_shrink>
+ <allow_grow>False</allow_grow>
+ <auto_shrink>False</auto_shrink>
+ <auto_close>True</auto_close>
+ <hide_on_close>False</hide_on_close>
+
+ <widget>
+ <class>GtkVBox</class>
+ <child_name>GnomeDialog:vbox</child_name>
+ <name>dialog-vbox1</name>
+ <homogeneous>False</homogeneous>
+ <spacing>8</spacing>
+ <child>
+ <padding>4</padding>
+ <expand>True</expand>
+ <fill>True</fill>
+ </child>
+
+ <widget>
+ <class>GtkHButtonBox</class>
+ <child_name>GnomeDialog:action_area</child_name>
+ <name>dialog-action_area1</name>
+ <layout_style>GTK_BUTTONBOX_END</layout_style>
+ <spacing>8</spacing>
+ <child_min_width>85</child_min_width>
+ <child_min_height>27</child_min_height>
+ <child_ipad_x>7</child_ipad_x>
+ <child_ipad_y>0</child_ipad_y>
+ <child>
+ <padding>0</padding>
+ <expand>False</expand>
+ <fill>True</fill>
+ <pack>GTK_PACK_END</pack>
+ </child>
+
+ <widget>
+ <class>GtkButton</class>
+ <name>button8</name>
+ <can_default>True</can_default>
+ <can_focus>True</can_focus>
+ <signal>
+ <name>clicked</name>
+ <handler>gtk_main_quit</handler>
+ <last_modification_time>Sat, 19 Jun 1999 13:56:42 GMT</last_modification_time>
+ </signal>
+ <stock_button>GNOME_STOCK_BUTTON_YES</stock_button>
+ </widget>
+
+ <widget>
+ <class>GtkButton</class>
+ <name>button9</name>
+ <can_default>True</can_default>
+ <can_focus>True</can_focus>
+ <signal>
+ <name>clicked</name>
+ <handler>gtk_widget_hide</handler>
+ <object>closebox</object>
+ <last_modification_time>Sat, 19 Jun 1999 13:56:56 GMT</last_modification_time>
+ </signal>
+ <stock_button>GNOME_STOCK_BUTTON_NO</stock_button>
+ </widget>
+
+ <widget>
+ <class>GtkButton</class>
+ <name>button11</name>
+ <can_default>True</can_default>
+ <can_focus>True</can_focus>
+ <label>X</label>
+ <stock_pixmap>GNOME_STOCK_PIXMAP_OPEN</stock_pixmap>
+ </widget>
+ </widget>
+ </widget>
+</widget>
+
+<widget>
+ <class>GtkWindow</class>
+ <name>testwin</name>
+ <visible>False</visible>
+ <signal>
+ <name>delete_event</name>
+ <handler>gtk_widget_hide</handler>
+ <last_modification_time>Thu, 17 Jun 1999 14:53:15 GMT</last_modification_time>
+ </signal>
+ <signal>
+ <name>delete_event</name>
+ <handler>gtk_true</handler>
+ <last_modification_time>Thu, 17 Jun 1999 14:53:29 GMT</last_modification_time>
+ </signal>
+ <title>Widget Tests</title>
+ <type>GTK_WINDOW_TOPLEVEL</type>
+ <position>GTK_WIN_POS_NONE</position>
+ <modal>False</modal>
+ <allow_shrink>False</allow_shrink>
+ <allow_grow>True</allow_grow>
+ <auto_shrink>False</auto_shrink>
+
+ <widget>
+ <class>GtkNotebook</class>
+ <name>notebook1</name>
+ <can_focus>True</can_focus>
+ <show_tabs>True</show_tabs>
+ <show_border>True</show_border>
+ <tab_pos>GTK_POS_TOP</tab_pos>
+ <scrollable>True</scrollable>
+ <tab_hborder>2</tab_hborder>
+ <tab_vborder>2</tab_vborder>
+ <popup_enable>False</popup_enable>
+
+ <widget>
+ <class>GnomeColorPicker</class>
+ <name>colorpicker1</name>
+ <border_width>100</border_width>
+ <can_focus>True</can_focus>
+ <dither>True</dither>
+ <use_alpha>False</use_alpha>
+ <title>Pick a colour</title>
+ <tooltip>Pick a colour</tooltip>
+ </widget>
+
+ <widget>
+ <class>GtkLabel</class>
+ <child_name>Notebook:tab</child_name>
+ <name>label1</name>
+ <label>Colour Picker</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ </widget>
+
+ <widget>
+ <class>GnomeFontPicker</class>
+ <name>fontpicker1</name>
+ <border_width>75</border_width>
+ <can_focus>True</can_focus>
+ <title>Pick a Font</title>
+ <preview_text>AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz</preview_text>
+ <mode>GNOME_FONT_PICKER_MODE_FONT_INFO</mode>
+ <show_size>True</show_size>
+ <use_font>True</use_font>
+ <use_font_size>14</use_font_size>
+ </widget>
+
+ <widget>
+ <class>GtkLabel</class>
+ <child_name>Notebook:tab</child_name>
+ <name>label2</name>
+ <label>Font Picker</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ </widget>
+
+ <widget>
+ <class>GnomeIconEntry</class>
+ <name>iconentry1</name>
+ <!-- The welcome greeting -->
+ <title>Hello</title>
+ <history_id>iconent_hist</history_id>
+ <max_saved>10</max_saved>
+ </widget>
+
+ <widget>
+ <class>GtkLabel</class>
+ <child_name>Notebook:tab</child_name>
+ <name>label3</name>
+ <label>Icon Sel</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ </widget>
+
+ <widget>
+ <class>GnomeHRef</class>
+ <name>href1</name>
+ <border_width>150</border_width>
+ <can_focus>True</can_focus>
+ <url>http://www.daa.com.au/~james/gnome/</url>
+ <label>My Gnome Site</label>
+ </widget>
+
+ <widget>
+ <class>GtkLabel</class>
+ <child_name>Notebook:tab</child_name>
+ <name>label4</name>
+ <label>HRef</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ </widget>
+
+ <widget>
+ <class>GnomeEntry</class>
+ <name>entry1</name>
+ <history_id>EntTest</history_id>
+ <max_saved>10</max_saved>
+
+ <widget>
+ <class>GtkEntry</class>
+ <child_name>GnomeEntry:entry</child_name>
+ <name>entry2</name>
+ <can_focus>True</can_focus>
+ <editable>True</editable>
+ <text_visible>True</text_visible>
+ <text_max_length>0</text_max_length>
+ <text></text>
+ </widget>
+ </widget>
+
+ <widget>
+ <class>GtkLabel</class>
+ <child_name>Notebook:tab</child_name>
+ <name>label5</name>
+ <label>Entry</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ </widget>
+
+ <widget>
+ <class>GnomeFileEntry</class>
+ <name>fileentry1</name>
+ <border_width>50</border_width>
+ <history_id>FileEntTest</history_id>
+ <max_saved>10</max_saved>
+ <directory>False</directory>
+ <modal>False</modal>
+
+ <widget>
+ <class>GtkEntry</class>
+ <child_name>GnomeEntry:entry</child_name>
+ <name>entry3</name>
+ <can_focus>True</can_focus>
+ <editable>True</editable>
+ <text_visible>True</text_visible>
+ <text_max_length>0</text_max_length>
+ <text></text>
+ </widget>
+ </widget>
+
+ <widget>
+ <class>GtkLabel</class>
+ <child_name>Notebook:tab</child_name>
+ <name>label6</name>
+ <label>File Entry</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ </widget>
+
+ <widget>
+ <class>GtkDial</class>
+ <name>dial1</name>
+ <view_only>False</view_only>
+ <update_policy>GTK_UPDATE_CONTINUOUS</update_policy>
+ <value>0</value>
+ <lower>0</lower>
+ <upper>100</upper>
+ <step>0</step>
+ <page>0</page>
+ <page_size>0</page_size>
+ </widget>
+
+ <widget>
+ <class>GtkLabel</class>
+ <child_name>Notebook:tab</child_name>
+ <name>label7</name>
+ <label>Dial</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ </widget>
+
+ <widget>
+ <class>GtkClock</class>
+ <name>clock1</name>
+ <!-- This comment is ignored. -->
+ <type>GTK_CLOCK_REALTIME</type>
+ <!-- This is a comment for the translators. -->
+ <!-- This should be an strftime format,
+ as described in the strftime(3) manual page. -->
+ <format>%H:%M</format>
+ <seconds>0</seconds>
+ <interval>60</interval>
+ </widget>
+
+ <widget>
+ <class>GtkLabel</class>
+ <child_name>Notebook:tab</child_name>
+ <name>label8</name>
+ <label>Clock</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ </widget>
+
+ <widget>
+ <class>GnomeAnimator</class>
+ <name>animator1</name>
+ <width>0</width>
+ <height>0</height>
+ <loop_type>GNOME_ANIMATOR_LOOP_NONE</loop_type>
+ <playback_direction>False</playback_direction>
+ <playback_speed>1</playback_speed>
+ </widget>
+
+ <widget>
+ <class>GtkLabel</class>
+ <child_name>Notebook:tab</child_name>
+ <name>label9</name>
+ <label>Animator</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ </widget>
+
+ <widget>
+ <class>GnomeCalculator</class>
+ <name>calculator1</name>
+ </widget>
+
+ <widget>
+ <class>GtkLabel</class>
+ <child_name>Notebook:tab</child_name>
+ <name>label10</name>
+ <label>Calculator</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ </widget>
+
+ <widget>
+ <class>GnomeLess</class>
+ <name>less1</name>
+ <font>-b&amp;h-lucidatypewriter-bold-r-normal-*-*-140-*-*-m-*-iso8859-1</font>
+ </widget>
+
+ <widget>
+ <class>GtkLabel</class>
+ <child_name>Notebook:tab</child_name>
+ <name>label11</name>
+ <label>Less</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ </widget>
+
+ <widget>
+ <class>GnomePaperSelector</class>
+ <name>paperselector1</name>
+ <border_width>50</border_width>
+ </widget>
+
+ <widget>
+ <class>GtkLabel</class>
+ <child_name>Notebook:tab</child_name>
+ <name>label12</name>
+ <label>PaperSel</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ </widget>
+
+ <widget>
+ <class>GnomeSpell</class>
+ <name>spell1</name>
+ </widget>
+
+ <widget>
+ <class>GtkLabel</class>
+ <child_name>Notebook:tab</child_name>
+ <name>label13</name>
+ <label>GnomeSpell</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ </widget>
+ </widget>
+</widget>
+
+<widget>
+ <class>GtkFileSelection</class>
+ <name>filesel</name>
+ <border_width>10</border_width>
+ <visible>False</visible>
+ <signal>
+ <name>delete_event</name>
+ <handler>gtk_widget_hide</handler>
+ <last_modification_time>Thu, 17 Jun 1999 14:58:58 GMT</last_modification_time>
+ </signal>
+ <signal>
+ <name>delete_event</name>
+ <handler>gtk_true</handler>
+ <last_modification_time>Thu, 17 Jun 1999 14:59:07 GMT</last_modification_time>
+ </signal>
+ <title>Select File</title>
+ <type>GTK_WINDOW_TOPLEVEL</type>
+ <position>GTK_WIN_POS_NONE</position>
+ <modal>False</modal>
+ <allow_shrink>False</allow_shrink>
+ <allow_grow>True</allow_grow>
+ <auto_shrink>False</auto_shrink>
+ <show_file_op_buttons>True</show_file_op_buttons>
+
+ <widget>
+ <class>GtkButton</class>
+ <child_name>FileSel:ok_button</child_name>
+ <name>ok_button1</name>
+ <can_default>True</can_default>
+ <can_focus>True</can_focus>
+ <signal>
+ <name>clicked</name>
+ <handler>gtk_widget_hide</handler>
+ <object>filesel</object>
+ <last_modification_time>Thu, 17 Jun 1999 15:02:33 GMT</last_modification_time>
+ </signal>
+ <signal>
+ <name>clicked</name>
+ <handler>gtk_widget_show</handler>
+ <object>msgdialog</object>
+ <last_modification_time>Thu, 17 Jun 1999 15:02:51 GMT</last_modification_time>
+ </signal>
+ <label>OK</label>
+ </widget>
+
+ <widget>
+ <class>GtkButton</class>
+ <child_name>FileSel:cancel_button</child_name>
+ <name>cancel_button1</name>
+ <can_default>True</can_default>
+ <has_default>True</has_default>
+ <can_focus>True</can_focus>
+ <signal>
+ <name>clicked</name>
+ <handler>gtk_widget_hide</handler>
+ <object>filesel</object>
+ <last_modification_time>Thu, 17 Jun 1999 14:59:25 GMT</last_modification_time>
+ </signal>
+ <label>Cancel</label>
+ </widget>
+</widget>
+
+<widget>
+ <class>GnomeDialog</class>
+ <name>msgdialog</name>
+ <visible>False</visible>
+ <type>GTK_WINDOW_TOPLEVEL</type>
+ <position>GTK_WIN_POS_NONE</position>
+ <modal>False</modal>
+ <allow_shrink>False</allow_shrink>
+ <allow_grow>False</allow_grow>
+ <auto_shrink>False</auto_shrink>
+ <auto_close>True</auto_close>
+ <hide_on_close>True</hide_on_close>
+
+ <widget>
+ <class>GtkVBox</class>
+ <child_name>GnomeDialog:vbox</child_name>
+ <name>dialog-vbox2</name>
+ <homogeneous>False</homogeneous>
+ <spacing>8</spacing>
+ <child>
+ <padding>4</padding>
+ <expand>True</expand>
+ <fill>True</fill>
+ </child>
+
+ <widget>
+ <class>GtkLabel</class>
+ <name>label14</name>
+ <label>If this was a real application, clicking on the
+OK button would probably have done something
+useful, rather than just displaying this dialog.</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ <child>
+ <padding>0</padding>
+ <expand>False</expand>
+ <fill>False</fill>
+ </child>
+ </widget>
+
+ <widget>
+ <class>GtkHButtonBox</class>
+ <child_name>GnomeDialog:action_area</child_name>
+ <name>dialog-action_area2</name>
+ <layout_style>GTK_BUTTONBOX_END</layout_style>
+ <spacing>8</spacing>
+ <child_min_width>85</child_min_width>
+ <child_min_height>27</child_min_height>
+ <child_ipad_x>7</child_ipad_x>
+ <child_ipad_y>0</child_ipad_y>
+ <child>
+ <padding>0</padding>
+ <expand>False</expand>
+ <fill>True</fill>
+ <pack>GTK_PACK_END</pack>
+ </child>
+
+ <widget>
+ <class>GtkButton</class>
+ <name>button10</name>
+ <can_default>True</can_default>
+ <can_focus>True</can_focus>
+ <stock_button>GNOME_STOCK_BUTTON_OK</stock_button>
+ </widget>
+
+ <widget>
+ <class>GtkButton</class>
+ <name>button10</name>
+ <can_default>True</can_default>
+ <can_focus>True</can_focus>
+ <label>Nothing</label>
+ </widget>
+ </widget>
+ </widget>
+</widget>
+
+<widget>
+ <class>GnomePropertyBox</class>
+ <name>propbox</name>
+ <visible>False</visible>
+ <signal>
+ <name>delete_event</name>
+ <handler>gtk_widget_hide</handler>
+ <last_modification_time>Tue, 28 Sep 1999 04:29:52 GMT</last_modification_time>
+ </signal>
+ <signal>
+ <name>delete_event</name>
+ <handler>gtk_true</handler>
+ <last_modification_time>Tue, 28 Sep 1999 04:30:00 GMT</last_modification_time>
+ </signal>
+ <signal>
+ <name>clicked</name>
+ <handler>gtk_widget_hide</handler>
+ <last_modification_time>Tue, 28 Sep 1999 04:30:37 GMT</last_modification_time>
+ </signal>
+
+ <widget>
+ <class>GtkNotebook</class>
+ <child_name>GnomePropertyBox:notebook</child_name>
+ <name>notebook2</name>
+ <can_focus>True</can_focus>
+ <show_tabs>True</show_tabs>
+ <show_border>True</show_border>
+ <tab_pos>GTK_POS_TOP</tab_pos>
+ <scrollable>False</scrollable>
+ <tab_hborder>2</tab_hborder>
+ <tab_vborder>2</tab_vborder>
+ <popup_enable>False</popup_enable>
+ <child>
+ <padding>0</padding>
+ <expand>True</expand>
+ <fill>True</fill>
+ </child>
+
+ <widget>
+ <class>GtkFrame</class>
+ <name>frame1</name>
+ <border_width>5</border_width>
+ <label_xalign>0</label_xalign>
+ <shadow_type>GTK_SHADOW_ETCHED_IN</shadow_type>
+
+ <widget>
+ <class>GtkVBox</class>
+ <name>vbox1</name>
+ <border_width>5</border_width>
+ <homogeneous>False</homogeneous>
+ <spacing>3</spacing>
+
+ <widget>
+ <class>GtkCombo</class>
+ <name>combo1</name>
+ <value_in_list>False</value_in_list>
+ <ok_if_empty>True</ok_if_empty>
+ <case_sensitive>False</case_sensitive>
+ <use_arrows>True</use_arrows>
+ <use_arrows_always>False</use_arrows_always>
+ <items></items>
+ <child>
+ <padding>0</padding>
+ <expand>False</expand>
+ <fill>False</fill>
+ </child>
+
+ <widget>
+ <class>GtkEntry</class>
+ <child_name>GtkCombo:entry</child_name>
+ <name>combo-entry1</name>
+ <can_focus>True</can_focus>
+ <signal>
+ <name>changed</name>
+ <handler>gnome_property_box_changed</handler>
+ <object>propbox</object>
+ <last_modification_time>Tue, 28 Sep 1999 04:25:07 GMT</last_modification_time>
+ </signal>
+ <editable>True</editable>
+ <text_visible>True</text_visible>
+ <text_max_length>0</text_max_length>
+ <text></text>
+ </widget>
+ </widget>
+
+ <widget>
+ <class>GnomeFileEntry</class>
+ <name>fileentry2</name>
+ <max_saved>10</max_saved>
+ <directory>False</directory>
+ <modal>False</modal>
+ <child>
+ <padding>0</padding>
+ <expand>False</expand>
+ <fill>False</fill>
+ </child>
+
+ <widget>
+ <class>GtkEntry</class>
+ <child_name>GnomeEntry:entry</child_name>
+ <name>combo-entry3</name>
+ <can_focus>True</can_focus>
+ <signal>
+ <name>changed</name>
+ <handler>gnome_property_box_changed</handler>
+ <object>propbox</object>
+ <last_modification_time>Tue, 28 Sep 1999 04:25:19 GMT</last_modification_time>
+ </signal>
+ <editable>True</editable>
+ <text_visible>True</text_visible>
+ <text_max_length>0</text_max_length>
+ <text></text>
+ </widget>
+ </widget>
+
+ <widget>
+ <class>GnomePixmapEntry</class>
+ <name>pixmapentry1</name>
+ <preview>True</preview>
+ <child>
+ <padding>0</padding>
+ <expand>False</expand>
+ <fill>False</fill>
+ </child>
+
+ <widget>
+ <class>GnomeFileEntry</class>
+ <child_name>GnomePixmapEntry:file-entry</child_name>
+ <name>entry4</name>
+ <max_saved>10</max_saved>
+ <directory>False</directory>
+ <modal>False</modal>
+
+ <widget>
+ <class>GtkEntry</class>
+ <child_name>GnomeEntry:entry</child_name>
+ <name>combo-entry2</name>
+ <can_focus>True</can_focus>
+ <signal>
+ <name>changed</name>
+ <handler>gnome_property_box_changed</handler>
+ <object>propbox</object>
+ <last_modification_time>Tue, 28 Sep 1999 04:25:38 GMT</last_modification_time>
+ </signal>
+ <editable>True</editable>
+ <text_visible>True</text_visible>
+ <text_max_length>0</text_max_length>
+ <text></text>
+ </widget>
+ </widget>
+ </widget>
+ </widget>
+ </widget>
+
+ <widget>
+ <class>GtkLabel</class>
+ <child_name>Notebook:tab</child_name>
+ <name>label15</name>
+ <label>_Entry</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ </widget>
+
+ <widget>
+ <class>GtkFrame</class>
+ <name>frame2</name>
+ <border_width>5</border_width>
+ <label_xalign>0</label_xalign>
+ <shadow_type>GTK_SHADOW_OUT</shadow_type>
+
+ <widget>
+ <class>GtkDial</class>
+ <name>dial2</name>
+ <view_only>False</view_only>
+ <update_policy>GTK_UPDATE_CONTINUOUS</update_policy>
+ <value>0</value>
+ <lower>0</lower>
+ <upper>100</upper>
+ <step>0</step>
+ <page>0</page>
+ <page_size>0</page_size>
+ </widget>
+ </widget>
+
+ <widget>
+ <class>GtkLabel</class>
+ <child_name>Notebook:tab</child_name>
+ <name>label16</name>
+ <label>_Dial</label>
+ <justify>GTK_JUSTIFY_CENTER</justify>
+ <wrap>False</wrap>
+ <xalign>0.5</xalign>
+ <yalign>0.5</yalign>
+ <xpad>0</xpad>
+ <ypad>0</ypad>
+ </widget>
+ </widget>
+</widget>
+
+<widget>
+ <class>GtkWindow</class>
+ <name>druidwin</name>
+ <visible>False</visible>
+ <signal>
+ <name>delete_event</name>
+ <handler>gtk_widget_hide</handler>
+ <last_modification_time>Thu, 28 Oct 1999 15:52:59 GMT</last_modification_time>
+ </signal>
+ <signal>
+ <name>delete_event</name>
+ <handler>gtk_true</handler>
+ <last_modification_time>Thu, 28 Oct 1999 15:53:09 GMT</last_modification_time>
+ </signal>
+ <title>GnomeDruid</title>
+ <type>GTK_WINDOW_TOPLEVEL</type>
+ <position>GTK_WIN_POS_NONE</position>
+ <modal>False</modal>
+ <allow_shrink>False</allow_shrink>
+ <allow_grow>True</allow_grow>
+ <auto_shrink>False</auto_shrink>
+
+ <widget>
+ <class>GnomeDruid</class>
+ <name>druid1</name>
+ <signal>
+ <name>cancel</name>
+ <handler>gtk_widget_hide</handler>
+ <object>druidwin</object>
+ <last_modification_time>Thu, 28 Oct 1999 15:55:01 GMT</last_modification_time>
+ </signal>
+
+ <widget>
+ <class>GnomeDruidPageStart</class>
+ <name>druidpagestart1</name>
+ <title>Test GnomeDruid</title>
+ <text>This is a simple test of the GnomeDruid
+code in gnome-libs and the wrapper
+for said code in libglade.</text>
+ <title_color>255,255,255</title_color>
+ <text_color>0,0,0</text_color>
+ <background_color>254,226,40</background_color>
+ <logo_background_color>255,0,20</logo_background_color>
+ <textbox_color>95,254,235</textbox_color>
+ </widget>
+
+ <widget>
+ <class>GnomeDruidPageStandard</class>
+ <name>druidpagestandard1</name>
+ <title>A dial in a druid</title>
+ <title_color>255,255,255</title_color>
+ <background_color>55,190,93</background_color>
+ <logo_background_color>255,5,234</logo_background_color>
+
+ <widget>
+ <class>GtkVBox</class>
+ <child_name>GnomeDruidPageStandard:vbox</child_name>
+ <name>druid-vbox1</name>
+ <border_width>50</border_width>
+ <homogeneous>False</homogeneous>
+ <spacing>0</spacing>
+ <child>
+ <padding>0</padding>
+ <expand>True</expand>
+ <fill>True</fill>
+ </child>
+
+ <widget>
+ <class>GtkDial</class>
+ <name>dial3</name>
+ <view_only>False</view_only>
+ <update_policy>GTK_UPDATE_CONTINUOUS</update_policy>
+ <value>0</value>
+ <lower>0</lower>
+ <upper>100</upper>
+ <step>0</step>
+ <page>0</page>
+ <page_size>0</page_size>
+ <child>
+ <padding>0</padding>
+ <expand>True</expand>
+ <fill>True</fill>
+ </child>
+ </widget>
+ </widget>
+ </widget>
+
+ <widget>
+ <class>GnomeDruidPageFinish</class>
+ <name>druidpagefinish1</name>
+ <signal>
+ <name>finish</name>
+ <handler>gtk_widget_hide</handler>
+ <object>druidwin</object>
+ <last_modification_time>Thu, 28 Oct 1999 15:55:24 GMT</last_modification_time>
+ </signal>
+ <title>Last Page</title>
+ <text>This is the end of the druid example</text>
+ <background_color>25,25,112</background_color>
+ <logo_background_color>255,147,6</logo_background_color>
+ <textbox_color>190,190,190</textbox_color>
+ <text_color>0,0,0</text_color>
+ <title_color>255,255,255</title_color>
+ </widget>
+ </widget>
+</widget>
+
+</GTK-Interface>
+EOF
+
+: ${XGETTEXT=xgettext}
+${XGETTEXT} --add-comments -o - xg-gl-1-widgets.glade | grep -v 'POT-Creation-Date' > xg-gl-1.pot || exit 1
+
+cat <<EOF > xg-gl-1.ok
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: xg-gl-1-widgets.glade:33
+msgid "Libglade-GNOME Test"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:103
+msgid "Show _Tests"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:116
+msgid "Druid Test"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:295
+msgid "New"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:303
+msgid "Open"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:311
+msgid "Save"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:325
+msgid "Cut"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:342
+msgid "Copy"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:356
+msgid "Paste"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:370
+msgid "Clear"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:378
+msgid "Tog"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:395
+msgid "The cut copy paste and clear buttons should work correctly."
+msgstr ""
+
+#: xg-gl-1-widgets.glade:423
+msgid "Copyright (C) 1999"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:426
+msgid ""
+"A simple program demonstrating what is possible with GNOME and\n"
+"libglade. This interface has been coded entirely with GLADE, and\n"
+"no C code specific to this interface has been written."
+msgstr ""
+
+#: xg-gl-1-widgets.glade:508
+msgid "X"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:529
+msgid "Widget Tests"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:556 xg-gl-1-widgets.glade:557
+msgid "Pick a colour"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:564
+msgid "Colour Picker"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:578
+msgid "Pick a Font"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:579
+msgid "AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:590
+msgid "Font Picker"
+msgstr ""
+
+#. The welcome greeting
+#: xg-gl-1-widgets.glade:603
+msgid "Hello"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:612
+msgid "Icon Sel"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:627
+msgid "My Gnome Site"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:634
+msgid "HRef"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:665
+msgid "Entry"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:699
+msgid "File Entry"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:725
+msgid "Dial"
+msgstr ""
+
+#. This is a comment for the translators.
+#. This should be an strftime format,
+#. as described in the strftime(3) manual page.
+#: xg-gl-1-widgets.glade:742
+msgid "%H:%M"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:751
+msgid "Clock"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:774
+msgid "Animator"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:792
+msgid "Calculator"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:811
+msgid "Less"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:830
+msgid "PaperSel"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:848
+msgid "GnomeSpell"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:874
+msgid "Select File"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:901
+msgid "OK"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:917
+msgid "Cancel"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:949
+msgid ""
+"If this was a real application, clicking on the\n"
+"OK button would probably have done something\n"
+"useful, rather than just displaying this dialog."
+msgstr ""
+
+#: xg-gl-1-widgets.glade:995
+msgid "Nothing"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:1159
+msgid "_Entry"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:1193
+msgid "_Dial"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:1218
+msgid "GnomeDruid"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:1239
+msgid "Test GnomeDruid"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:1240
+msgid ""
+"This is a simple test of the GnomeDruid\n"
+"code in gnome-libs and the wrapper\n"
+"for said code in libglade."
+msgstr ""
+
+#: xg-gl-1-widgets.glade:1253
+msgid "A dial in a druid"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:1300
+msgid "Last Page"
+msgstr ""
+
+#: xg-gl-1-widgets.glade:1301
+msgid "This is the end of the druid example"
+msgstr ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-gl-1.ok xg-gl-1.pot
+result=$?
+
+exit $result